BVN Send OTP
Select the verification method and trigger sending the code OTP. This is the second step of the BVN verification Flow for Nigeria.
Endpoint
POST /kyc/nga/bvn/send-otpAuthentication
API Key
Header
x-api-key
Request body
Content-Type: application/json
Parameters
sessionId
string
Yes
Session ID obtained from the initiation step.
method
string
Yes
Selected verification method. Possible values: email, phone, phone_1, alternate_phone. The available methods for a specific BVN are those returned by BVN Initiate in data.methods[].
Request example
{
"sessionId": "5f9b1a2c-3d4e-4f5a-8b6c-7d8e9f0a1b2c",
"method": "phone"
}Responses
200 Success
Response parameters
serviceResultCode
integer
Code that indicates the overall result of the service execution. See Service Result Code
serviceTime
string
Processing time (milliseconds).
serviceResultLog
string
Descriptive field for the result of the service execution. Includes details when there is an error or exception in the module.
serviceTransactionId
string
Transaction identifier associated with the request processed by the API.
data
object
Object with the OTP send confirmation message. See table below.
Response parameters — data
message
string
Confirmation message. Always "OTP sent successfully".
Service Result Code
The serviceResultCode indicates the overall result of the service execution:
200
The service execution was successful, the module processed the request correctly.
200
Response example
400 Bad Request
Error returned with the service envelope (serviceResultCode reflects the HTTP code of the response):
502 Bad Gateway
Returned when the service is temporarily unavailable or its response could not be interpreted. The body uses the service envelope with serviceResultCode: 500:
504 Gateway Timeout
Timeout error, returned with the service envelope:
Last updated